Index: D:/ez/nextgen/stable/3.9/bin/php/ezgeneratetranslationcache.php
===================================================================
--- D:/ez/nextgen/stable/3.9/bin/php/ezgeneratetranslationcache.php	(revision 20662)
+++ D:/ez/nextgen/stable/3.9/bin/php/ezgeneratetranslationcache.php	(working copy)
@@ -49,7 +49,7 @@
                                                          "Default usage: ./bin/php/ezgeneratetranslationcache -s setup\n" ),
                                       'use-session' => false,
                                       'use-modules' => true,
-                                      'use-extensions' => false,
+                                      'use-extensions' => true,
                                       'user' => true ) );
 $script->startup();
 
Index: D:/ez/nextgen/stable/3.9/lib/ezi18n/classes/eztranslationcache.php
===================================================================
--- D:/ez/nextgen/stable/3.9/lib/ezi18n/classes/eztranslationcache.php	(revision 20662)
+++ D:/ez/nextgen/stable/3.9/lib/ezi18n/classes/eztranslationcache.php	(working copy)
@@ -132,8 +132,22 @@
 
         $internalCharset = eZTextCodec::internalCharset();
         $rootName = 'root-' . md5( $internalCharset );
-        $rootCacheDirectory = eZDir::path( array( eZSys::cacheDirectory(), 'translation', $rootName ) );
-
+        
+        $roots = array( $ini->variable( 'RegionalSettings', 'TranslationRepository' ) );
+        $extensionBase = eZExtension::baseDirectory();
+        $translationExtensions = $ini->variable( 'RegionalSettings', 'TranslationExtensions' );
+        foreach ( $translationExtensions as $translationExtension )
+        {
+            $extensionPath = $extensionBase . '/' . $translationExtension . '/translations';
+            if ( file_exists( $extensionPath ) )
+            {
+                $roots[] = $extensionPath;
+            }
+        }
+        $rootsPaths = implode( ";", $roots );
+        
+        $rootCacheDirectory = eZDir::path( array( eZSys::cacheDirectory(), 'translation', md5( $rootsPaths ),  $rootName ) );
+        
         return $rootCacheDirectory;
     }
 
